COREDNS-PPROF(7)

NAME
pprof - publishes runtime profiling data at endpoints under /debug/pprof.

DESCRIPTION
You can visit /debug/pprof on your site for an index of the available endpoints. By default it will listen on localhost:6053.

For more information, please see Go's pprof documentation https://golang.org/pkg/net/http/pprof/ and read Profiling Go Programs https://blog.golang.org/profiling-go-programs.

SYNTAX
pprof [ADDRESS]

If not specified, ADDRESS defaults to localhost:6053.

EXAMPLES
Enable pprof endpoints:

    . {
        pprof
    }

Listen on an alternate address:

    . {
        pprof 10.9.8.7:6060
    }

Listen on an all addresses on port 6060:

    . {
        pprof :6060
    }

ALSO SEE
See Go's pprof documentation https://golang.org/pkg/net/http/pprof/ and Profiling Go Programs https://blog.golang.org/profiling-go-programs.